//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: EVTLOG_MULTILINE_0
//
// MessageText:
//
//  No message
//
#define EVTLOG_MULTILINE_0               0x00000000L

//
// MessageId: EVTLOG_MULTILINE_1
//
// MessageText:
//
//  %1
//
#define EVTLOG_MULTILINE_1               0x00000001L

//
// MessageId: EVTLOG_MULTILINE_2
//
// MessageText:
//
//  %1%n%2
//
#define EVTLOG_MULTILINE_2               0x00000002L

//
// MessageId: EVTLOG_MULTILINE_3
//
// MessageText:
//
//  %1%n%2%n%3
//
#define EVTLOG_MULTILINE_3               0x00000003L

//
// MessageId: EVTLOG_MULTILINE_4
//
// MessageText:
//
//  %1%n%2%n%3%n%4
//
#define EVTLOG_MULTILINE_4               0x00000004L

//
// MessageId: EVTLOG_MULTILINE_5
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5
//
#define EVTLOG_MULTILINE_5               0x00000005L

//
// MessageId: EVTLOG_MULTILINE_6
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6
//
#define EVTLOG_MULTILINE_6               0x00000006L

//
// MessageId: EVTLOG_MULTILINE_7
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7
//
#define EVTLOG_MULTILINE_7               0x00000007L

//
// MessageId: EVTLOG_MULTILINE_8
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8
//
#define EVTLOG_MULTILINE_8               0x00000008L

//
// MessageId: EVTLOG_MULTILINE_9
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9
//
#define EVTLOG_MULTILINE_9               0x00000009L

//
// MessageId: EVTLOG_MULTILINE_10
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10
//
#define EVTLOG_MULTILINE_10              0x0000000AL

//
// MessageId: EVTLOG_MULTILINE_11
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11
//
#define EVTLOG_MULTILINE_11              0x0000000BL

//
// MessageId: EVTLOG_MULTILINE_12
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12
//
#define EVTLOG_MULTILINE_12              0x0000000CL

//
// MessageId: EVTLOG_MULTILINE_13
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13
//
#define EVTLOG_MULTILINE_13              0x0000000DL

//
// MessageId: EVTLOG_MULTILINE_14
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14
//
#define EVTLOG_MULTILINE_14              0x0000000EL

//
// MessageId: EVTLOG_MULTILINE_15
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15
//
#define EVTLOG_MULTILINE_15              0x0000000FL

//
// MessageId: EVTLOG_MULTILINE_16
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16
//
#define EVTLOG_MULTILINE_16              0x00000010L

//
// MessageId: EVTLOG_MULTILINE_17
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17
//
#define EVTLOG_MULTILINE_17              0x00000011L

//
// MessageId: EVTLOG_MULTILINE_18
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18
//
#define EVTLOG_MULTILINE_18              0x00000012L

//
// MessageId: EVTLOG_MULTILINE_19
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19
//
#define EVTLOG_MULTILINE_19              0x00000013L

//
// MessageId: EVTLOG_MULTILINE_20
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20
//
#define EVTLOG_MULTILINE_20              0x00000014L

//
// MessageId: EVTLOG_MULTILINE_21
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21
//
#define EVTLOG_MULTILINE_21              0x00000015L

//
// MessageId: EVTLOG_MULTILINE_22
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22
//
#define EVTLOG_MULTILINE_22              0x00000016L

//
// MessageId: EVTLOG_MULTILINE_23
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23
//
#define EVTLOG_MULTILINE_23              0x00000017L

//
// MessageId: EVTLOG_MULTILINE_24
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24
//
#define EVTLOG_MULTILINE_24              0x00000018L

//
// MessageId: EVTLOG_MULTILINE_25
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25
//
#define EVTLOG_MULTILINE_25              0x00000019L

//
// MessageId: EVTLOG_MULTILINE_26
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26
//
#define EVTLOG_MULTILINE_26              0x0000001AL

//
// MessageId: EVTLOG_MULTILINE_27
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27
//
#define EVTLOG_MULTILINE_27              0x0000001BL

//
// MessageId: EVTLOG_MULTILINE_28
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28
//
#define EVTLOG_MULTILINE_28              0x0000001CL

//
// MessageId: EVTLOG_MULTILINE_29
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29
//
#define EVTLOG_MULTILINE_29              0x0000001DL

//
// MessageId: EVTLOG_MULTILINE_30
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30
//
#define EVTLOG_MULTILINE_30              0x0000001EL

//
// MessageId: EVTLOG_MULTILINE_31
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31
//
#define EVTLOG_MULTILINE_31              0x0000001FL

//
// MessageId: EVTLOG_MULTILINE_32
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32
//
#define EVTLOG_MULTILINE_32              0x00000020L

//
// MessageId: EVTLOG_MULTILINE_33
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33
//
#define EVTLOG_MULTILINE_33              0x00000021L

//
// MessageId: EVTLOG_MULTILINE_34
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34
//
#define EVTLOG_MULTILINE_34              0x00000022L

//
// MessageId: EVTLOG_MULTILINE_35
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35
//
#define EVTLOG_MULTILINE_35              0x00000023L

//
// MessageId: EVTLOG_MULTILINE_36
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36
//
#define EVTLOG_MULTILINE_36              0x00000024L

//
// MessageId: EVTLOG_MULTILINE_37
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37
//
#define EVTLOG_MULTILINE_37              0x00000025L

//
// MessageId: EVTLOG_MULTILINE_38
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38
//
#define EVTLOG_MULTILINE_38              0x00000026L

//
// MessageId: EVTLOG_MULTILINE_39
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39
//
#define EVTLOG_MULTILINE_39              0x00000027L

//
// MessageId: EVTLOG_MULTILINE_40
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40
//
#define EVTLOG_MULTILINE_40              0x00000028L

//
// MessageId: EVTLOG_MULTILINE_41
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41
//
#define EVTLOG_MULTILINE_41              0x00000029L

//
// MessageId: EVTLOG_MULTILINE_42
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42
//
#define EVTLOG_MULTILINE_42              0x0000002AL

//
// MessageId: EVTLOG_MULTILINE_43
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43
//
#define EVTLOG_MULTILINE_43              0x0000002BL

//
// MessageId: EVTLOG_MULTILINE_44
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44
//
#define EVTLOG_MULTILINE_44              0x0000002CL

//
// MessageId: EVTLOG_MULTILINE_45
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45
//
#define EVTLOG_MULTILINE_45              0x0000002DL

//
// MessageId: EVTLOG_MULTILINE_46
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45%n%46
//
#define EVTLOG_MULTILINE_46              0x0000002EL

//
// MessageId: EVTLOG_MULTILINE_47
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45%n%46%n%47
//
#define EVTLOG_MULTILINE_47              0x0000002FL

//
// MessageId: EVTLOG_MULTILINE_48
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45%n%46%n%47%n%48
//
#define EVTLOG_MULTILINE_48              0x00000030L

//
// MessageId: EVTLOG_MULTILINE_49
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45%n%46%n%47%n%48%n%49
//
#define EVTLOG_MULTILINE_49              0x00000031L

//
// MessageId: EVTLOG_MULTILINE_50
//
// MessageText:
//
//  %1%n%2%n%3%n%4%n%5%n%6%n%7%n%8%n%9%n%10%n%11%n%12%n%13%n%14%n%15%n%16%n%17%n%18%n%19%n%20%n%21%n%22%n%23%n%24%n%25%n%26%n%27%n%28%n%29%n%30%n%31%n%32%n%33%n%34%n%35%n%36%n%37%n%38%n%39%n%40%n%41%n%42%n%43%n%44%n%45%n%46%n%47%n%48%n%49%n%50
//
#define EVTLOG_MULTILINE_50              0x00000032L

