/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: edir_load_status.h,v 1.1 2003/04/14 12:25:56 sinisa Exp $
 */

#ifndef __EDIR_LOAD_STATUS_H__
#define __EDIR_LOAD_STATUS_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern void *
edir_load_status(edir_load_sb_offsets_t *sb, char *uri,
		 int32 *refCounts, int32 numRefCounts,
		 edir_kvtable_t *responseHeaders,
		 edir_exception_t **exc);

extern int32
edir_load_status_check_path(edir_load_sb_offsets_t *scoreboard, char *path, 
			    struct sockaddr_in *local_addr,
			    struct sockaddr_in *remote_addr,
			    char *virt_host);

#ifdef __cplusplus
} /* extern "C" */
#endif
#endif /* __EDIR_LOAD_STATUS_H__ */

