/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: edir_log.h,v 1.1 2003/04/14 12:25:59 sinisa Exp $
 */

#ifndef __EDIR_LOG_H__
#define __EDIR_LOG_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern void
edir_log_line(int level, char *line);

extern void
edir_log(char *fmt, ...);

extern void
edir_log_error(char *fmt, ...);

extern void
edir_log_debug(char *fmt, ...);

extern void
edir_log_setdaemon(char *progName, int isDaemon);

#ifdef WIN32
extern char *
edir_log_fmt_add_error_string(char *fmt, DWORD errn, DWORD last, DWORD wsa);
#else
extern char *
edir_log_fmt_add_error_string(char *fmt, int errornum);
#endif

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_LOG_H__ */
