/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: edir_mutex_filesys.h,v 1.1 2003/04/14 12:25:59 sinisa Exp $
 */

#ifndef __EDIR_MUTEX_FILESYS_H__
#define __EDIR_MUTEX_FILESYS_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

#ifdef EDIR_AC_DEF_SB_LOCK_FILE
#define EDIR_MUTEX_FILESYS_DEFAULT_FILE EDIR_AC_DEF_SB_LOCK_FILE
#else
#define EDIR_MUTEX_FILESYS_DEFAULT_FILE "/tmp/enhydra_director.data"
#endif

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_MUTEX_FILESYS_H__ */
